---
title: "Get a file from a fetch job"
slug: "get-a-file-from-a-fetch-job"
abstract: ""
---
# Get a file from a fetch job

```html
GET /api/fetchjobs/:fetchJobsId/files/:fileId

```

Replace these placeholders:

| placeholder | description |
| --- | --- |
| `:fetchJobId` | the `id` of the fetch job that contains the file. |
| `:fileId` | the `id` of the file that belongs to a fetch job |

## Response

| Response | Description |
| --- | --- |
| `200 Ok` | Returns the fetch job file in the body if it was found |

## Response examples

```json
Status: 200 OK

{
  "items": [
    {
      "file": {
        "type": "File",
        "path": "S:\\Import\\M.Extensions\\BISTECCA-FIORENTINA-1.jpg"
      },
      "job": {
        "href": "/fetchjobs/6168",
        "title": "The Fetch Job to which this file belongs"
      },
      "state_description": "File processed",
      "state": "Completed",
      "condition": "Success",
      "started_on": "2018-01-08T12:`18:02`.9527099Z",
      "completed_on": "2018-01-08T12:`18:05`.4367172Z",
      "self": {
        "href": "/fetchjobs/6168/files/6283",
        "title": "The file which belongs to a Fetch Job."
      }
    }
  ],
  "total_items": 1,
  "returned_items": 1,
  "self": {
    "href": "/fetchjobs/6168/files",
    "title": "This collection"
  }
}}

```